org.apache.tiles.freemarker.template

## Class AddListAttributeFMModel

- java.lang.Object
- - org.apache.tiles.freemarker.template.AddListAttributeFMModel

- All Implemented Interfaces:
    freemarker.template.TemplateDirectiveModel, freemarker.template.TemplateModel

      public class AddListAttributeFMModel
      extends Object
      implements freemarker.template.TemplateDirectiveModel

  Declare a list that will be pass as an attribute.

  Declare a list that will be pass as an attribute . List elements are added using the tag 'addAttribute' or 'addListAttribute'. This tag can only be used inside 'insertTemplate', 'insertDefinition' or 'definition' tag.

- - ### Field Summary

    - ### Fields inherited from interface freemarker.template.TemplateModel

      `NOTHING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddListAttributeFMModel(AddListAttributeModel model)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(freemarker.core.Environment env, Map params, freemarker.template.TemplateModel[] loopVars, freemarker.template.TemplateDirectiveBody body)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddListAttributeFMModel

          public AddListAttributeFMModel(AddListAttributeModel model)

      Constructor.
      Parameters:
        `model` - The template model.

  - ### Method Detail

    - #### execute

          public void execute(freemarker.core.Environment env,
                              Map params,
                              freemarker.template.TemplateModel[] loopVars,
                              freemarker.template.TemplateDirectiveBody body)
                       throws freemarker.template.TemplateException,
                              IOException

      Specified by:
        `execute` in interface `freemarker.template.TemplateDirectiveModel`
      Throws:
        `freemarker.template.TemplateException`
        `IOException`

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.